std::chrono::_V2::system_clock Struct Reference
Utilities » Time

`#include <chrono.h>`

## Public Types

typedef chrono::nanoseconds | duration
typedef duration::period | period
typedef duration::rep | rep
typedef chrono::time_point< system_clock, duration > | time_point

## Static Public Member Functions

static time_point | from_time_t (std::time_t __t) noexcept
static time_point | now () noexcept
static std::time_t | to_time_t (const time_point &__t) noexcept

## Static Public Attributes

static constexpr bool | is_steady

## Detailed Description

System clock.

Time returned represents wall time from the system-wide clock.

Definition at line 1225 of file chrono.h.

## Member Typedef Documentation

## duration

typedef chrono::nanoseconds std::chrono::_V2::system_clock::duration

Definition at line 1227 of file chrono.h.

## period

typedef duration::period std::chrono::_V2::system_clock::period

Definition at line 1229 of file chrono.h.

## rep

typedef duration::rep std::chrono::_V2::system_clock::rep

Definition at line 1228 of file chrono.h.

## time_point

typedef chrono::time_point<system_clock, duration> std::chrono::_V2::system_clock::time_point

Definition at line 1230 of file chrono.h.

## Member Function Documentation

## from_time_t()

time_point std::chrono::_V2::system_clock::from_time_t | ( | std::time_t | __t | ) |

inline static noexcept

Definition at line 1252 of file chrono.h.

## to_time_t()

std::time_t std::chrono::_V2::system_clock::to_time_t | ( | const time_point & | __t | ) |

inline static noexcept

Definition at line 1244 of file chrono.h.

## Member Data Documentation

## is_steady

bool std::chrono::_V2::system_clock::is_steady

static constexpr

Definition at line 1236 of file chrono.h.

The documentation for this struct was generated from the following file:

- chrono.h